<?xml version="1.0" encoding="iso-8859-1"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/">
		<xsl:apply-templates select="lots"/>
	</xsl:template>

	<xsl:template match="lots">
		<document xmlns:fo="http://www.w3.org/1999/XSL/Format">
<!--		
			<template pageSize="5.4cm,10.1cm" leftMargin="0.5cm" rightMargin="0.5cm" topMargin="0.2cm" bottomMargin="0.2cm" title="Lots tickets" author="Generated by Tiny ERP">
-->			
			<template pageSize="10.1cm,5.4cm" leftMargin="0.5cm" rightMargin="0.5cm" topMargin="0.2cm" bottomMargin="0.2cm" title="Lots tickets" author="Generated by Tiny ERP">
				<pageTemplate id="all">
					<pageGraphics/>
					<frame id="list" x1="0.5cm" y1="0.2cm" width="9.1cm" height="5.0cm"/>
<!--					
					<frame id="list" x1="0.2cm" y1="0.2cm" width="5.0cm" height="9.7cm"/>
-->					
				</pageTemplate>
			</template>

			<stylesheet>
				<paraStyle name="small2" fontName="Courier" fontSize="9" spaceBefore="0mm" spaceAfter="0mm" alignment="center"/>
				<paraStyle name="desc" fontName="Courier" fontSize="11" spaceBefore="0mm" spaceAfter="0mm" alignment="center"/>
				<paraStyle name="number" spaceBefore="0mm" spaceAfter="0mm" alignment="center"/>
<!--				
				<paraStyle name="nr" fontName="Courier" fontSize="16" spaceBefore="0mm" spaceAfter="0mm" alignment="center"/>
				<paraStyle name="number" fontName="Courier-Bold" fontSize="20" spaceBefore="0mm" spaceAfter="0mm" alignment="center"/>
-->				
				<blockTableStyle id="first">
					<blockValign value="TOP" start="0,0" stop="-1,-2"/>
					<blockValign value="BOTTOM" start="0,-1" stop="-1,-1"/>
					
					<blockAlignment value="LEFT"/>
					<blockFont name="Helvetica-Bold" size="10"/>
					<blockTextColor colorName="black"/>
					<lineStyle kind="BOX" thickness="0.5" colorName="black" start="0,0" stop="-1,-1"/>
					<lineStyle kind="LINEBELOW" thickness="0.5" colorName="black" start="0,4" stop="-1,4"/>
					<blockBackground colorName="(1,1,1)" start="0,0" stop="-1,-1"/>
					<blockBackground colorName="(0.78,0.78,0.78)" start="0,0" stop="-1,0"/>
				</blockTableStyle>
			</stylesheet>
			
			<story>
				<xsl:apply-templates select="lot"/>
			</story>
		</document>
	</xsl:template>
	
	<xsl:template match="lot">
<!--	
		<blockTable style="first" colWidths="6cm" rowHeights="1.0cm,0.05cm,0.4cm,0.5cm,0.6cm,0.4cm,0.7cm,1.6cm">
-->		
		<blockTable style="first" colWidths="9.0cm" rowHeights="0.6cm,0.05cm,0.3cm,1.3cm,2.30cm"> <!--total:4.05-->
<!--		
		<blockTable style="first" colWidths="6cm" rowHeights="1.0cm,0.05cm,0.3cm,1.3cm,1.8cm">
-->		
			<tr><td><para style="small2"><b><xsl:text>SALLE DE VENTES DES HUISSIERS DE JUSTICE</xsl:text></b></para></td></tr>
			<tr><td></td></tr>
<!--			
			<tr><td><para style="small2"><xsl:text>Place Anneessens, 21-22</xsl:text></para></td></tr>
			<tr><td><para style="small2"><xsl:text>1000 Bruxelles</xsl:text></para></td></tr>
			<tr><td><para style="small2"><xsl:text>Tel.: 02/513 34 47</xsl:text></para></td></tr>
-->			
			<tr><td><para style="small2"><xsl:value-of select="//date"/></para></td></tr>
			<tr><td>
				<para style="number">
				<font face="Courier" size="12">Nr.</font> <font face="Helvetica-Bold" size="32"><xsl:value-of select="number"/></font>
				</para>
<!--			
				<para style="number"><xsl:text t="1">Nr.</xsl:text><xsl:text> </xsl:text><xsl:value-of select="number"/></para>
-->				
			</td></tr>
			<tr><td><para style="desc"><xsl:value-of select="desc"/></para></td></tr>
		</blockTable>
		<pageBreak/>
	</xsl:template>
</xsl:stylesheet>
